/*!
  @header BDBConstants
  @abstract Global constants related to BDB
 
  @availability OS X, GNUstep
  @copyright (C) 2004, 2005, 2006 Oliver Langer
 
  Author: Oliver Langer

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

  <pre>
  -------------------------------------------------------------------------
  Modification history

  19.12.2004 ola        initial version
  22.08.2006 ola     license changed
  -------------------------------------------------------------------------
  </pre>
 */

#if !defined(__BDBCONSTANTS_H)
#define __BDBCONSTANTS_H

#include <db.h>

/*! 
 * @enum BDBDatabaseType
 * @discussion Declares constants representing types of databases
 * @constant DB_BTREE 
 * @constant DB_HASH 
 * @constant DB_QUEUE 
 * @constant DB_RECNO
 */
typedef enum {
  BDB_UNKNOWN = DB_UNKNOWN,
  BDB_BTREE = DB_BTREE,
  BDB_HASH = DB_HASH,
  BDB_QUEUE = DB_QUEUE,
  BDB_RECNO = DB_RECNO 
} BDBDatabaseType;
#endif


